threads
Rename thread (partial)
Partially update the title of a thread.
/api/v1/threads/{id}/
Headers
Authorizationrequiredany - API key authentication using Bearer scheme
Path Parameters
idrequiredstring
Request Body
titlestring - New title for the thread
Response
idrequiredinteger
titlerequiredstring
created_atrequiredstring<date-time>
last_modifiedrequiredstring<date-time>
connection_idsany - List of connection IDs that were used in this thread
connection_namesrequiredstring - List of connection names associated with this thread
message_countrequiredstring - Total number of messages in the thread
modelenum<string>: sonnet-4, sonnet-4.5, haiku-4.5, o3, o4-mini, gpt-4.1, gpt-5, gpt-5-codex - The model used for this thread * `sonnet-4` - Sonnet 4 * `sonnet-4.5` - Sonnet 4.5 * `haiku-4.5` - Haiku 4.5 * `o3` - o3 * `o4-mini` - o4-mini * `gpt-4.1` - GPT-4.1 * `gpt-5` - GPT-5 * `gpt-5-codex` - GPT-5 Codex
sourcerequiredenum<string>: UI, API, MCP - How this thread was created * `UI` - Web UI * `API` - REST API * `MCP` - MCP Server
uidrequiredstring - User identifier who created this thread
